# ncurses_noecho

(PHP 4 >= 4.0.7, PHP 5 < 5.3.0, PECL ncurses >= 1.0.0)

ncurses_noecho — Switch off keyboard input echo

### Description

ncurses_noecho ( void ) : bool
Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

Prevents echoing of user typed characters.

### Return Values

Returns `TRUE` if any error occurred, `FALSE` otherwise.

### See Also

- ncurses_echo() - Activate keyboard input echo
- ncurses_getch() - Read a character from keyboard